Bug 1307958 - python3-cherrypy: FTBFS in rawhide
Summary: python3-cherrypy: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3-cherrypy
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Orsava
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F24FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-02-13 22:11 UTC by Fedora Release Engineering
Modified: 2016-03-26 18:17 UTC (History)
4 users (show)

Fixed In Version: python3-cherrypy-5.0.1-2.fc22 python3-cherrypy-5.0.1-2.fc23 python3-cherrypy-5.0.1-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-19 21:28:34 UTC


Attachments (Terms of Use)
build.log (48.08 KB, text/plain)
2016-02-13 22:11 UTC, Fedora Release Engineering
no flags Details
root.log (81.23 KB, text/plain)
2016-02-13 22:11 UTC, Fedora Release Engineering
no flags Details
state.log (657 bytes, text/plain)
2016-02-13 22:11 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2016-02-13 22:11:21 UTC
Your package python3-cherrypy failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12863540

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 1 Fedora Release Engineering 2016-02-13 22:11:23 UTC
Created attachment 1125935 [details]
build.log

Comment 2 Fedora Release Engineering 2016-02-13 22:11:25 UTC
Created attachment 1125936 [details]
root.log

Comment 3 Fedora Release Engineering 2016-02-13 22:11:26 UTC
Created attachment 1125937 [details]
state.log

Comment 4 Jan Kurik 2016-02-24 15:04:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Tomas Orsava 2016-02-24 15:16:17 UTC
The first error thrown out during the mock build:

"ERROR: test suite for <class 'cherrypy.test.test_config.ConfigTests'>"
"AttributeError', ("'Call' object has no attribute 'starargs'",)"

appears to be an upstream issue related to changed API in Python3.5:

https://bitbucket.org/cherrypy/cherrypy/issues/1382/configuration-error-with-python-35

Comment 6 Charalampos Stratakis 2016-02-25 10:53:51 UTC
Another build failure issue is how python 3.5 handles test discovery. By adding a BuildRequires for python3-mock, and using patch provided by T. Orsava in [0] only one error remains to be handled for which there is already an issue reported at[1].

[0] https://bitbucket.org/cherrypy/cherrypy/issues/1382/configuration-error-with-python-35

[1] https://bitbucket.org/cherrypy/cherrypy/issues/1406/test_2_keyboardinterrupt-failing-on-python

Comment 7 Fedora Admin XMLRPC Client 2016-02-25 12:51:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Upstream Release Monitoring 2016-03-09 13:00:48 UTC
torsava's python3-cherrypy-5.0.1-1.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=743282

Comment 9 Upstream Release Monitoring 2016-03-09 13:07:23 UTC
torsava's python3-cherrypy-5.0.1-2.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=743287

Comment 10 Fedora Update System 2016-03-09 13:16:09 UTC
python3-cherrypy-5.0.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2e80661b2

Comment 11 Fedora Update System 2016-03-09 13:16:22 UTC
python3-cherrypy-5.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3966c860f7

Comment 12 Fedora Update System 2016-03-09 13:16:29 UTC
python3-cherrypy-5.0.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6fa3cda4e8

Comment 13 Fedora Update System 2016-03-10 01:56:12 UTC
python3-cherrypy-5.0.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6fa3cda4e8

Comment 14 Fedora Update System 2016-03-10 16:52:02 UTC
python3-cherrypy-5.0.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2e80661b2

Comment 15 Fedora Update System 2016-03-10 16:53:57 UTC
python3-cherrypy-5.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3966c860f7

Comment 16 Fedora Update System 2016-03-19 21:28:30 UTC
python3-cherrypy-5.0.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-03-20 02:30:36 UTC
python3-cherrypy-5.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-03-26 18:16:56 UTC
python3-cherrypy-5.0.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.